﻿@model OnlineShop.DAL.Data.Models.Order

@{
    ViewData["Title"] = "Details";
}

<h1>Details</h1>

<div>
    <h4>Order</h4>
    <hr />
    <dl class="row">
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.User)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.User.Id)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Date)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Date)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.OrderStatus)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.OrderStatus)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.OrderItems)
        </dt>
        <dd class="col-sm-10">
            @foreach (var item in Model.OrderItems)
            {
                @Html.DisplayFor(modelItem => item.Good.Title);
            }
        </dd>
    </dl>
</div>
<div>
    <a asp-action="Edit" asp-route-id="@Model.Id">Edit</a> |
    <a asp-action="Index">Back to List</a>
</div>
